git clone: ​​¿Cómo puedo clonar una twig compatible con Android 2.2 del browser?

Logré clonar la última y mejor versión del código fuente del browser de Android, usando:

git clone git://android.git.kernel.org/platform/packages/apps/Browser.git 

El problema ahora es que, con mi configuration de sistema (y emulador) para 2.2, Eclipse se queja de errores en el package clonado. Sospecho que esos errores provienen de la incompatibilidad entre el último código del browser y el anterior Android 2.2.

¿Cómo encuentro la list de sucursales de Git disponibles para Android?

¿Qué más debo hacer para get la versión exacta del browser compatible con Android 2.2?

¿Cómo encuentro la list de sucursales de Git disponibles para Android?

 git remote show origin 

¿Qué más debo hacer para get la versión exacta del browser compatible con Android 2.2?

Desde que lo clonaste, ya has buscado todas las twigs. Pero puede usar este command para get solo la twig que necesita:

 git fetch origin froyo:froyo 

Y una vez que lo haya buscado, use este command para verificarlo:

 git checkout froyo 

La próxima vez, puede get la twig que desea en un solo paso con

 git clone -b froyo git://android.git.kernel.org/platform/packages/apps/Browser.git 

Esto searchá todas las twigs también, pero eso no es gran cosa.